Page MenuHomePhabricator

rhg: pass `ui` to `Command` `run`
ClosedPublic

Authored by acezar on Aug 26 2020, 9:23 AM.

Details

Summary

Allow implementation of From<clap::ArgMatches> for Command

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 26 2020, 9:23 AM
acezar retitled this revision from rhg: pass ui to Command run to rhg: pass `ui` to `Command` `run`.Aug 26 2020, 9:44 AM
marmoute accepted this revision.Aug 26 2020, 3:21 PM
Alphare accepted this revision.Aug 28 2020, 4:18 AM
pulkit accepted this revision.Sep 11 2020, 5:01 AM
This revision is now accepted and ready to land.Sep 11 2020, 5:01 AM
This revision was automatically updated to reflect the committed changes.